%define section         free

Summary:        High-performance, full-featured text search engine
Name:           lucene
Version:        1.2
Release:        2jpp
Epoch:          0
License:        Apache Software License
URL:            http://jakarta.apache.org/lucene/
Group:          Internet/WWW/Indexing/Search
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://jakarta.apache.org/builds/jakarta-lucene/release/v1.2/lucene-1.2-src.tar.gz
BuildRequires:  ant, ant-optional, junit >= 0:3.7, javacc
BuildRequires:  jpackage-utils >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Jakarta Lucene is a high-performance, full-featured text search engine
written entirely in Java. It is a technology suitable for nearly any
application that requires full-text search, especially cross-platform.

%package javadoc
Summary:        Javadoc for Lucene
Group:          Development/Documentation

%description javadoc
Javadoc for Lucene.

%package demo
Summary:        Lucene demonstrations and samples
Group:          Internet/WWW/Indexing/Search
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description demo
Lucene demonstrations and samples.

# TODO: webapp

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-src
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

# -----------------------------------------------------------------------------

%build
mkdir docs
export CLASSPATH=$(build-classpath junit)
ant \
  -Djavacc.zip=%{_javadir}/javacc.jar \
  -Djavacc.zip.dir=%{_javadir} \
  -Djavadoc.link=http://java.sun.com/j2se/1.4.1/docs/api/ \
  package test-unit

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p %{name}-%{version}/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr %{name}-%{version}/docs/api/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -p %{name}-%{version}/%{name}-demos-%{version}.jar \
  $RPM_BUILD_ROOT%{_datadir}/%{name}

# TODO: webapp: luceneweb.war / where do we install 'em?

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc CHANGES.txt LICENSE.txt README.txt TODO.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

# TODO: webapp

# -----------------------------------------------------------------------------

%changelog
* Wed Mar 26 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.2-2jpp
- Rebuilt for JPackage 1.5.

* Thu Mar  6 2003 Ville Skytt <ville.skytta at iki.fi> - 1.2-1jpp
- First JPackage release.
